Edit job title

Prev Next

Available in Classic and VPC

Edit a job title.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PUT /ncloudmcc/v1/companies/{companyId}/job-grades/{externalKey}

Request headers

For information about the headers common to all Media Connect Center APIs, see Media Connect Center request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
companyId String Required Integration key
  • Check from console: Media Connect Center > Developers > Basic settings > Integration key
externalKey String Required Job title external key

Request body

You can include the following data in the body of your request:

Field Type Required Description
name String Required Job title name
i18nNames Object Optional Job title multilingual name
i18nNames.{locale} String Optional Job title name by language
  • Enter in the "Language code": "Value" format.
  • Supported language codes: ko_KR | ja_JP | en_US
  • Example: "ko_KR": "수퍼바이저", "en_US": "Supervisor"
sortOrd Number Required Query display order

Request example

The request example is as follows:

curl --location --request PUT 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/job-grades/hg-grade-1' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'x-ncp-region_code: KR' \
--header 'Content-Type: application/json' \
--data '{
    "name": "Supervisor",
    "i18nNames": {
        "ko_KR": "수퍼바이저",
        "en_US": "Supervisor"
    },
    "sortOrd": 2
}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Media Connect Center APIs, see Media Connect Center response status codes.

Response example

f the response is successful, the job title is edited along with the message 200 OK.